org.keycloak.authentication

## Interface ConfigurableAuthenticatorFactory

- All Superinterfaces:
    ConfiguredProvider
  All Known Subinterfaces:
    AuthenticatorFactory, ClientAuthenticatorFactory, ConditionalAuthenticatorFactory, FormActionFactory, FormAuthenticatorFactory
  All Known Implementing Classes:
    AbstractClientAuthenticator, AbstractDirectGrantAuthenticator, AbstractSetRequiredActionAuthenticator, AbstractX509ClientCertificateAuthenticatorFactory, AllowAccessAuthenticatorFactory, BasicAuthAuthenticatorFactory, BasicAuthOTPAuthenticatorFactory, ClientIdAndSecretAuthenticator, CliUsernamePasswordAuthenticatorFactory, ConditionalOtpFormAuthenticatorFactory, ConditionalRoleAuthenticatorFactory, ConditionalUserConfiguredAuthenticatorFactory, ConsoleUsernamePasswordAuthenticatorFactory, CookieAuthenticatorFactory, DenyAccessAuthenticatorFactory, DeployedScriptAuthenticatorFactory, DockerAuthenticatorFactory, HttpBasicAuthenticatorFactory, IdentityProviderAuthenticatorFactory, IdpAutoLinkAuthenticatorFactory, IdpConfirmLinkAuthenticatorFactory, IdpCreateUserIfUniqueAuthenticatorFactory, IdpDetectExistingBrokerUserAuthenticatorFactory, IdpEmailVerificationAuthenticatorFactory, IdpReviewProfileAuthenticatorFactory, IdpUsernamePasswordFormFactory, JWTClientAuthenticator, JWTClientSecretAuthenticator, NoCookieFlowRedirectAuthenticatorFactory, OTPFormAuthenticatorFactory, PasswordFormFactory, RegistrationPage, RegistrationPassword, RegistrationProfile, RegistrationRecaptcha, RegistrationUserCreation, ResetCredentialChooseUser, ResetCredentialEmail, ResetOTP, ResetPassword, ScriptBasedAuthenticatorFactory, SpnegoAuthenticatorFactory, UsernameFormFactory, UsernamePasswordFormFactory, ValidateOTP, ValidatePassword, ValidateUsername, ValidateX509CertificateUsernameFactory, WebAuthnAuthenticatorFactory, WebAuthnPasswordlessAuthenticatorFactory, X509ClientAuthenticator, X509ClientCertificateAuthenticatorFactory

      public interface ConfigurableAuthenticatorFactory
      extends ConfiguredProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AuthenticationExecutionModel.Requirement[]` | `REQUIREMENT_CHOICES`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayType()` Friendly name for the authenticator
    `String` | `getReferenceCategory()` General authenticator type, i.e.
    `AuthenticationExecutionModel.Requirement[]` | `getRequirementChoices()` What requirement settings are allowed.
    `boolean` | `isConfigurable()` Is this authenticator configurable?
    `boolean` | `isUserSetupAllowed()` Does this authenticator have required actions that can set if the user does not have this authenticator set up?

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Field Detail

    - #### REQUIREMENT_CHOICES

          static final AuthenticationExecutionModel.Requirement[] REQUIREMENT_CHOICES

  - ### Method Detail

    - #### getDisplayType

          String getDisplayType()

      Friendly name for the authenticator
      Returns:

    - #### getReferenceCategory

          String getReferenceCategory()

      General authenticator type, i.e. totp, password, cert.
      Returns:
        null if not a referencable category

    - #### isConfigurable

          boolean isConfigurable()

      Is this authenticator configurable?
      Returns:

    - #### getRequirementChoices

          AuthenticationExecutionModel.Requirement[] getRequirementChoices()

      What requirement settings are allowed.
      Returns:

    - #### isUserSetupAllowed

          boolean isUserSetupAllowed()

      Does this authenticator have required actions that can set if the user does not have this authenticator set up?
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.